com.taosdata.jdbc

## Class WrapperImpl

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl

All Implemented Interfaces:
  Wrapper

Direct Known Subclasses:
  AbstractConnection, AbstractDatabaseMetaData, AbstractParameterMetaData, AbstractResultSet, AbstractStatement, RestfulResultSetMetaData, TSDBResultSetMetaData

    public class WrapperImpl
    extends Object
    implements Wrapper

### Constructor Summary

Constructors
Constructor and Description
`WrapperImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isWrapperFor(Class<?> iface)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperImpl

    public WrapperImpl()

### Method Detail

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`